extends Node2D

@export var scenePath := "res://"

func _ready():
	ResourceLoader.load_threaded_request(scenePath)

func _on_collision_detector_body_shape_entered(body_rid, body, body_shape_index, local_shape_index):
	get_tree().change_scene_to_file(scenePath)
